MDSource (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.messaging

## Enum MDSource

- java.lang.Object
- - java.lang.Enum<MDSource>
  - - com.marketfactory.messaging.MDSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MDSource>

      public enum MDSource
      extends java.lang.Enum<MDSource>

  Values for the bit mask used to identify the source of an MDEntry.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `ENHANCEMENT` Price level modified from matching
    `MARKET_DATA` Price level created from original market data ('implied')
    `MF_BOOK` Price level contained in the internal MF order book
    `OBSCURE` Price level created from statistical liquidity profile

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static MDSource` | `get(byte value)`
    `static java.util.Collection<MDSource>` | `validValues()`
    `static MDSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MDSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MARKET_DATA

          public static final MDSource MARKET_DATA

      Price level created from original market data ('implied')

    - #### OBSCURE

          public static final MDSource OBSCURE

      Price level created from statistical liquidity profile

    - #### ENHANCEMENT

          public static final MDSource ENHANCEMENT

      Price level modified from matching

    - #### MF_BOOK

          public static final MDSource MF_BOOK

      Price level contained in the internal MF order book

    - #### _INVALID

          public static final MDSource _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static MDSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MDSource c : MDSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MDSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static MDSource get(byte value)

    - #### validValues

          public static java.util.Collection<MDSource> validValues()